Page MenuHomePhabricator

Modern and Cologne Blue should remain in Preferences/Appearance after removal from core
Closed, ResolvedPublic

Description

skins gone from Preferences/Appearance

The Modern and Cologne Blue skins have been removed from mediawiki core: https://gerrit.wikimedia.org/r/#/c/118345/ and put into the repo at /mediawiki/skins: https://gerrit.wikimedia.org/r/#/c/119884/

However, doing this causes the choices for Modern and Cologne Blue to be removed from Preferences/Appearance. This was not intended, Modern and Cologne Blue should remain available as preferences. (See screen shot)

10:58 chrismcmahon: hi MatmaRex now that Modern and Cologne Blue skins are no longer in core, do you know if they are supposed to remain available as choices in the Preferences/Appearance settings?
10:59 MatmaRex: chrismcmahon: on Wikimedia wikis? yes, they should
10:59 MatmaRex: chrismcmahon: whoever merged the patches should ensure that the newly created external skins are enabled in WMF environment
10:59 MatmaRex: or whoever wrote the patches


Version: wmf-deployment
Severity: major

Attached:

Details

Reference
bz65868

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:13 AM
bzimport set Reference to bz65868.
greg added a comment.May 28 2014, 7:01 PM

What's the plan here?

…and also https://gerrit.wikimedia.org/r/#/c/135927/ about the deployment.

https://gerrit.wikimedia.org/r/#/c/135827/ and https://gerrit.wikimedia.org/r/#/c/135830/ converted the two skins to use skins/ as their base directory instead of extensions/.

All three aforementioned patches have been merged.

They'll also have to be added to beta labs somehow.

Chad did the change that load the Skins with https://gerrit.wikimedia.org/r/#/c/135927/1/wmf-config/CommonSettings.php that is applied on beta.

Apparently all the skins are registered as submodule of the mediawiki/skins.git repository so we can populate that on beta just like we do with mediawiki/extensions.git

Needs to adjust the wmf-beta-autoupdate.py.erb script which is in puppet so it creates and updates the skins repo.

greg added a comment.May 29 2014, 7:32 PM

(In reply to Antoine "hashar" Musso from comment #7)

Needs to adjust the wmf-beta-autoupdate.py.erb script which is in puppet so
it creates and updates the skins repo.

Antoine: due to the passive voice unsure if you are planning on doing this or if you're leaving a hint for Chad ;)

If Chad has any interest in hacking in the wmf-beta-autoupdate script I can leave the hacking to him. I will try to handle that tomorrow afternoon (eu time).

Change 136325 had a related patch set uploaded by Hashar:
beta: bring in mediawiki/skins.git

https://gerrit.wikimedia.org/r/136325

I have applied the Gerrit patch above on the beta cluster puppet master. Then manually triggered the Jenkins job that keeps code in sync ( https://integration.wikimedia.org/ci/job/beta-scap-eqiad/7034/console ) and I can now select Modern and Cologne Blue skins in my MediaWiki preferences.

In production it is not an issue since both skins have been added as git submodules in the deployment branches.

hashar added a comment.Jun 2 2014, 8:47 AM

Looks like this is fixed.

Change 136325 merged by Giuseppe Lavagetto:
beta: bring in mediawiki/skins.git

https://gerrit.wikimedia.org/r/136325